# RangeException : Object
Return to: HTML DOM Level 2 index

Range-related error.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
no | 1.0+ | 6.0+ | 9.0+ | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
RangeException Constructor() : RangeException Range-related error. | Show Details | no | 1.0+ | 6.0+ | 9.0+ | 1.0+

### RangeException() : RangeException

Range-related error.

Returns

RangeException |

Visibility
  internal

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
BAD_BOUNDARYPOINTS_ERR : Number Illegal boundary points for the range. | Show Details | no | 1.0+ | 6.0+ | 9.0+ | 1.0+

Availability

  HTML DOM Level 2|W3C

INVALID_NODE_TYPE_ERR : Number Invalid node or node with an invalid ancestor for the container node of the range boundary point. | Show Details | no | 1.0+ | 6.0+ | 9.0+ | 1.0+

Availability

  HTML DOM Level 2|W3C

code : Number Error code containing information about the exception. | Show Details | no | 1.0+ | 6.0+ | 9.0+ | 1.0+

Availability

  HTML DOM Level 2|W3C

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs